/*
tretx.h - TRE powered regex extention for TX-C
Copyright (c) 2006 M.Shibata

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*/

extern "tretx" {

#define APPNAME_TRETX "TRE powered regex extention for TX-C"
#define VERSION_TRETX "0.10"
#define COPYRIGHT_TRETX "Copyright (C) 2005 M.Shibata <mshibata@emptypage.jp>"

#define TRE_MAX_MATCH 10

//## TXAPI ݊ API
// eLXg
int treSearchText(TX *text, mchar *szfind, DWORD mode);
int treSearchTextContinue(TX *text);
int treSearchTextContinuePrev(TX *text);
int treReplaceText(TX *text, mchar *szfind, mchar *szreplace, DWORD mode);

// 
mchar* tre(mchar *sz, mchar *szfind);
mchar* treSearch(mchar *sz, mchar *szfind, DWORD mode);

// EBhE
HWND treSearchWindow(mchar *sztitle);

// API Wƒu
#if TRE_REPLACE_API
#define reSearchEx treSearchText
#define txSearchContinue treSearchTextContinue
#define txSearchContinuePrev treSearchTextContinuePrev
#define txReplaceEx treReplaceText
#define re tre
#define reSearch treSearch
#define apSearchWindow treSearchWindow
#endif // if TRE_REPLACE_API

}	// extern "tretx"
